@import url("https://fonts.googleapis.com/css2?family=Readex+Pro:wght@300;400;500;700&display=swap");

:root {
  --md-primary-fg-color: #283a46;
  --md-button-color-background: #0070af;
  --md-button-color-border: #0070af;
  --md-text-font: "Readex Pro";
  --md-code-font: "Readex Pro";
}

body {
  -webkit-font-smoothing: unset;
}

[data-md-color-scheme="rb-light"] {
  --md-typeset-color: #283a46;
  --md-primary-fg-color: #283a46;
  --md-default-fg-color--light: #283a46;
  --md-code-fg-color: #283a46;
  /* Code font */
  --md-code-bg-color: #f5f5f5;
  --md-typeset-a-color: #0070af;
  --md-code-hl-number-color: #d40300;
  --md-code-hl-special-color: #db1457;
  --md-code-hl-function-color: #a846b9;
  --md-code-hl-constant-color: #6e59d9;
  --md-code-hl-keyword-color: #0070af;
  --md-code-hl-string-color: #00801c;
  --md-code-hl-name-color: #848b91;
  --md-code-hl-operator-color: var(--md-default-fg-color--light);
  --md-code-hl-punctuation-color: var(--md-default-fg-color--light);
  --md-code-hl-comment-color: #848b91;
  --md-code-hl-generic-color: var(--md-default-fg-color--light);
  --md-code-hl-variable-color: var(--md-default-fg-color--light);
  --md-admonition-fg-color: #142530;
  --md-admonition-border-colour: var(--md-code-bg-color);
  --md-note-admonition-color: var(--md-code-bg-color);
}

[data-md-color-scheme="rb-dark"] {
  --md-typeset-color: #ffff;
  --md-code-fg-color: #ffff;
  --md-code-bg-color: #142530;
  --md-default-bg-color: #283a46;
  --md-default-fg-color--light: #fff;
  --md-typeset-a-color: #29b1ff;
  --md-code-hl-function-color: white;
  --md-admonition-fg-color: #142530;
  --md-admonition-border-colour: var(--md-code-bg-color);
  --md-note-admonition-color: #f5f5f5;
  /* --md-typeset-a-color: #0070AF; */
  --md-code-hl-number-color: #ff8080;
  --md-code-hl-special-color: #ef4c83;
  --md-code-hl-function-color: #c17acd;
  --md-code-hl-constant-color: #9c8de5;
  --md-code-hl-keyword-color: #29b1ff;
  --md-code-hl-string-color: #2aff59;
  --md-code-hl-name-color: var(--md-default-fg-color--light);
  --md-code-hl-operator-color: var(--md-default-fg-color--light);
  --md-code-hl-punctuation-color: var(--md-default-fg-color--light);
  --md-code-hl-comment-color: #848b91;
  --md-code-hl-generic-color: var(--md-default-fg-color--light);
  --md-code-hl-variable-color: var(--md-default-fg-color--light);
  --md-note-admonition-color: #142530;
}

.md-nav__title {
  display: none;
}

.md-typeset h1 {
  font-weight: 500;
  font-size: 52px;
  line-height: normal;
  margin-bottom: 0;
}

.md-typeset h2 {
  font-weight: 500;
  font-size: 42px;
  line-height: normal;
  margin-bottom: 0;
}

.md-typeset h3 {
  font-weight: 500;
  font-size: 36px;
  line-height: normal;
  margin-bottom: 0;
}

.md-typeset h4 {
  font-weight: 500;
  font-size: 28px;
  line-height: normal;
  margin-bottom: 0;
}

.md-typeset h5 {
  font-weight: 500;
  font-size: 22px;
  line-height: normal;
  margin-bottom: 0;
}

.md-typeset h6 {
  font-weight: 500;
  font-size: 18px;
  line-height: normal;
  margin-bottom: 0;
}

.md-typeset p {
  font-weight: 300;
  font-size: 18px;
  line-height: 24px;
  color: var(--md-code-fg-color);
}

.md-footer {
  background-color: #283a46;
}

.md-typeset .md-button {
  background-color: var(--md-button-color-background);
  border-color: var(--md-button-color-border);
}

.md-typeset .md-button:hover {
  background-color: #00527f;
  border-color: #00527f;
}

.md-typeset .admonition.note,
.md-typeset details.note {
  border-color: var(--md-admonition-border-colour);
}

.md-typeset .admonition.warning,
.md-typeset details.warning {
  border-color: var(--md-admonition-border-colour);
}

.md-typeset .admonition.info,
.md-typeset details.info {
  border-color: var(--md-admonition-border-colour);
}

.md-tooltip {
  color: #fff;
  background: #283a46;
}

.md-typeset .note > .admonition-title:before,
.md-typeset .note > summary:before {
  background-color: #0070af;
}

.md-typeset .note > .admonition-title,
.md-typeset .note > summary {
  background-color: #d4effe;
}

.md-typeset .warning > .admonition-title,
.md-typeset .warning > summary {
  background-color: #ffffb6;
}

.md-typeset .warning > .admonition-title:before,
.md-typeset .warning > summary:before {
  background-color: #d4b800;
}

.md-typeset .info > .admonition-title,
.md-typeset .info > summary {
  background-color: #d4effe;
}

.md-typeset .info > .admonition-title:before,
.md-typeset .info > summary:before {
  background-color: #0070af;
}

p.admonition-title {
  color: #283a46;
}

.md-typeset .admonition p:not(.admonition-title),
.md-typeset .note p:not(.admonition-title),
.md-typeset .note li:not(.admonition-title) {
  color: #283a46;
}

.mermaid {
  text-align: center;
}

.md-nav__list .md-nav__link:hover {
  color: #00527f;
}

[data-md-color-scheme="rb-light"] .md-nav__list .md-nav__link:focus {
  color: #0070af;
}

[data-md-color-scheme="rb-dark"] .md-nav__list .md-nav__link:focus {
  color: #29b1ff;
}

.md-content a:hover {
  color: #00527f;
}

.note code {
  background-color: #f5f5f5;
  color: #283a46;
}

.tabbed-labels--linked label a {
  color: #283a46 !important;
}

#__nav_2 + label {
  display: none;
}

#__nav_2 + label + nav > .md-nav__list > li:first-child {
  display: none;
}

/* Removes Icon for non nested */
a[href*="methods/selective-disclosure"] .md-nav__icon {
  display: none;
}

a[href*="instance"] .md-nav__icon {
  display: none;
}

.md-content li {
  font-weight: 300;
  font-size: 18px;
  line-height: 24px;
}

.md-typeset {
  letter-spacing: 0;
}

.md-typeset h1,
.md-typeset h2 {
  letter-spacing: 0;
}

.md-annotation p {
  color: white;
}

.md-nav {
  font-size: 0.6rem;
  line-height: 1.4;
}

.md-nav__link {
  color: var(--md-typeset-a-color);
}

.md-nav__link--active .md-ellipsis {
  font-weight: 700;
  border-left: 3px solid #ff5050;
  padding: 0 0 0 6px;
}

.md-nav.md-nav--secondary {
  border-left: 1px solid var(--md-default-fg-color--lighter);
}

.custom-table + div table {
  display: table !important;
  table-layout: fixed;
  border-collapse: collapse;
}

.custom-table + div table td{
  border: .05rem solid var(--md-typeset-table-color);
}

.custom-table + div table th{
  border: .05rem solid var(--md-typeset-table-color);
}

.custom-table + div table:not([class]) tbody tr:hover {
  background-color: transparent;
}
